Skip to main content
DELETE
/
v6
/
invoicing
/
itemTemplates
/
{id}
Delete invoice item template
curl --request DELETE \
  --url https://sandbox.tight.com/v6/invoicing/itemTemplates/{id} \
  --header 'Authorization: Bearer <token>'
{
  "result": "SUCCESS",
  "data": {
    "id": "tili_28868401",
    "name": "Standard Service Fee",
    "status": "ACTIVE",
    "description": "Standard hourly service fee",
    "amount": 5000,
    "quantity": "1.0",
    "price": "50.0",
    "salesTax": {
      "value": "8.875",
      "type": "PERCENT"
    },
    "glAccount": {},
    "customData": {
      "internal_key": "some_internal_key",
      "some_other_field": 23434
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Path Parameters

id
string
required

The id of the invoice item template

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object

The data generated by the action performed.